﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.3.1/WinDynamicDesktop_5.3.1_x86_Setup.exe'
$url64      = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.3.1/WinDynamicDesktop_5.3.1_x64_Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64         = $url64

  softwareName  = 'WinDynamicDesktop*'

  checksum      = '7a408d43d7cc58864b1d879bec2f9a1bcc32d8ed6f81ffd026a5ca8ebe1b85ff'
  checksumType  = 'sha256'
  checksum64    = '640192e2e7c4c7082a040f653cc5276a59c83167bb9b987551de76e79f85fe39'
  checksumType64= 'sha256'

  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /RESTARTAPPLICATIONS'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
